STRUCT SHASH_ALG(9)

NAME
struct_shash_alg - synchronous message digest definition

SYNOPSIS

struct shash_alg {
  int (* init) (struct shash_desc *desc);
  int (* update) (struct shash_desc *desc, const u8 *data,unsigned int len);
  int (* final) (struct shash_desc *desc, u8 *out);
  int (* finup) (struct shash_desc *desc, const u8 *data,unsigned int len, u8 *out);
  int (* digest) (struct shash_desc *desc, const u8 *data,unsigned int len, u8 *out);
  int (* export) (struct shash_desc *desc, void *out);
  int (* import) (struct shash_desc *desc, const void *in);
  int (* setkey) (struct crypto_shash *tfm, const u8 *key,unsigned int keylen);
  unsigned int descsize;
  unsigned int statesize;
  struct crypto_alg base;
};

MEMBERS

init
    see struct ahash_alg

update
    see struct ahash_alg

final
    see struct ahash_alg

finup
    see struct ahash_alg

digest
    see struct ahash_alg

export
    see struct ahash_alg

import
    see struct ahash_alg

setkey
    see struct ahash_alg

descsize
    Size of the operational state for the message digest. This state size is the memory size that needs to be allocated for shash_desc.__ctx

statesize
    see struct ahash_alg

base
    internally used

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT